camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From davscl...@apache.org
Subject [12/16] camel git commit: Make more camel-spring-xxx modules install in karaf.
Date Sat, 12 Mar 2016 14:37:30 GMT
Make more camel-spring-xxx modules install in karaf.


Project: http://git-wip-us.apache.org/repos/asf/camel/repo
Commit: http://git-wip-us.apache.org/repos/asf/camel/commit/d38e24ee
Tree: http://git-wip-us.apache.org/repos/asf/camel/tree/d38e24ee
Diff: http://git-wip-us.apache.org/repos/asf/camel/diff/d38e24ee

Branch: refs/heads/master
Commit: d38e24eeea63fb27a33b9d3a39708a262f2164b1
Parents: 7c77e18
Author: Claus Ibsen <davsclaus@apache.org>
Authored: Sat Mar 12 14:21:22 2016 +0100
Committer: Claus Ibsen <davsclaus@apache.org>
Committed: Sat Mar 12 14:21:22 2016 +0100

----------------------------------------------------------------------
 parent/pom.xml                                           |  2 ++
 platforms/karaf/features/src/main/resources/features.xml | 10 +++++++---
 2 files changed, 9 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/camel/blob/d38e24ee/parent/pom.xml
----------------------------------------------------------------------
diff --git a/parent/pom.xml b/parent/pom.xml
index 70ee31d..919b64b 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -506,6 +506,8 @@
     <spring-dm-version-range>[3.2,4)</spring-dm-version-range>
     <!-- karaf 2.x/3.x/4.x supports spring 4.1 onwards -->
     <spring-version-range>[4.1,5)</spring-version-range>
+    <!-- and special for only spring 4.0.x -->
+    <spring40-version-range>[4.0,4.1)</spring40-version-range>
     <!-- and for spring 4.2.x onwards-->
     <spring42-version-range>[4.2,5)</spring42-version-range>
     <spring-version>${spring4-version}</spring-version>

http://git-wip-us.apache.org/repos/asf/camel/blob/d38e24ee/platforms/karaf/features/src/main/resources/features.xml
----------------------------------------------------------------------
diff --git a/platforms/karaf/features/src/main/resources/features.xml b/platforms/karaf/features/src/main/resources/features.xml
index 0173afc..63702fd 100644
--- a/platforms/karaf/features/src/main/resources/features.xml
+++ b/platforms/karaf/features/src/main/resources/features.xml
@@ -1472,6 +1472,7 @@
     <bundle>mvn:org.apache.camel/camel-splunk/${project.version}</bundle>
   </feature>
   <feature name='camel-spring-batch' version='${project.version}' resolver='(obr)' start-level='50'>
+    <feature version='${project.version}'>camel-core</feature>
     <feature>transaction</feature>
     <feature version='${spring-version-range}'>spring</feature>
     <feature version='${spring-version-range}'>spring-tx</feature>
@@ -1487,9 +1488,12 @@
     <bundle>mvn:org.apache.camel/camel-spring-javaconfig/${project.version}</bundle>
   </feature>
   <feature name='camel-spring-ldap' version='${project.version}' resolver='(obr)' start-level='50'>
-    <feature version='${project.version}'>camel-spring</feature>
-    <feature version='${spring-version-range}'>spring-tx</feature>
-    <feature version='${spring-version-range}'>spring-jdbc</feature>
+    <details>camel-spring-ldap only works with Spring 4.0.x</details>
+    <feature version='${project.version}'>camel-core</feature>
+    <feature>transaction</feature>
+    <feature version='${spring40-version-range}'>spring</feature>
+    <feature version='${spring40-version-range}'>spring-jdbc</feature>
+    <feature version='${spring40-version-range}'>spring-tx</feature>
     <bundle dependency='true'>mvn:commons-lang/commons-lang/${commons-lang-version}</bundle>
     <bundle dependency='true'>mvn:commons-pool/commons-pool/${commons-pool-version}</bundle>
     <bundle dependency='true'>mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo-jms-spec-version}</bundle>


Mime
View raw message